VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form Form1 
   Caption         =   "Marquee example"
   ClientHeight    =   1290
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6105
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   1290
   ScaleWidth      =   6105
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkAnimate 
      Caption         =   "Animate"
      Height          =   315
      Left            =   4260
      TabIndex        =   5
      Top             =   660
      Width           =   1695
   End
   Begin MSComctlLib.Slider sldrSpeed 
      Height          =   315
      Left            =   720
      TabIndex        =   2
      Top             =   660
      Width           =   2415
      _ExtentX        =   4260
      _ExtentY        =   556
      _Version        =   393216
      Min             =   1
      Max             =   250
      SelStart        =   1
      Value           =   1
   End
   Begin MSComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   315
      Left            =   0
      TabIndex        =   1
      Top             =   975
      Width           =   6105
      _ExtentX        =   10769
      _ExtentY        =   556
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   10266
            Object.ToolTipText     =   "Number of times cycled"
         EndProperty
      EndProperty
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Timer Timer1 
      Interval        =   10
      Left            =   3000
      Top             =   120
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Fast"
      Height          =   315
      Left            =   60
      TabIndex        =   4
      Top             =   720
      Width           =   555
   End
   Begin VB.Label Label1 
      Caption         =   "Slow"
      Height          =   315
      Left            =   3240
      TabIndex        =   3
      Top             =   660
      Width           =   675
   End
   Begin VB.Label lblMarquee 
      Caption         =   "I am Scrolling ..."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2055
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Illustrates a Timer, a status bar and a checkbox control, and simple graphical repositioning,

'Some initializations. We could have done this in the control's properties window.
Private Sub Form_Load()
    sldrSpeed.Max = 100
    sldrSpeed.Min = 1
    sldrSpeed.Value = 1
    
    Timer1.Enabled = False
    Timer1.Interval = sldrSpeed.Value
    Timer1.Enabled = False
End Sub

'Check the value of the checkbox control to see if we should animate the marquee
Private Sub chkAnimate_Click()
    If chkAnimate.Value = 0 Then
        Timer1.Enabled = False
        sldrSpeed.Enabled = False
    Else
        Timer1.Enabled = True
        sldrSpeed.Enabled = True
    End If
End Sub

' Reset the timer to the value indicated by the slider control
Private Sub sldrSpeed_Scroll()
    Timer1.Interval = sldrSpeed.Value
End Sub

Private Sub Timer1_Timer()
    Static Count As Integer
    
    'When the label goes off the left side of the form,
    ' reposition it onto the right side.
    If (lblMarquee.Left + lblMarquee.Width) <= 0 Then
        lblMarquee.Left = Form1.Width
        
        'Use the status bar to show how often the marquee has cycled.
        Count = Count + 1
        StatusBar1.Panels(1).Text = CStr(Count)
    End If
    
    lblMarquee.Left = lblMarquee.Left - 100
End Sub
